# 32/64bit spec-file
#
%define version 6.2
%define versionnodot 62

Summary:	A music notation program that can also generate MIDI files
Name:		mup
Version:	%{version}
Release:	%mkrel 2
License:	Free, open source, from Arkkra Enterprises
Vendor:		Arkkra Enterprises
Group:		Sound
BuildRequires:	glibc-devel
BuildRequires:	fltk-devel
BuildRequires:	libjpeg-devel
BuildRequires:	%{_lib}png-devel
BuildRequires:	zlib-devel
BuildRequires:	%{_lib}xpm-devel
Requires:	TiMidity++
Source:		mup%{versionnodot}src.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Mup takes a text description of music as input and
creates either high quality PostScript output for printing
or a MIDI file.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
# User can set MUP_CC_OPTIONS in the environment to add some compiler options.
# E.g. could set to -m32 to force 32-bit compile on a 64-bit machine.
# User can also set MUP_VGA_OPTION to where their libvga.a is located,
# if they want to compile with that, typically /usr/lib/libvga.a or
# /usr/lib64/libvga.a
#(cd mup; cc -o mup -O -s -DDEBUG $MUP_CC_OPTIONS *.c -static -lm)
#(cd mupdisp; cc -O -L/usr/X11/lib -o mupdisp $MUP_CC_OPTIONS *.c ${MUP_VGA_OPTION:--DNO_VGA_LIB} -lX11 -lm)
#(cd mkmupfnt; cc -O -s $MUP_CC_OPTIONS -o mkmupfnt mkmupfnt.c)
#(cd mupmate; g++ -O -s $MUP_CC_OPTIONS -I/usr/X11R6/include -I../mup -L/usr/X11R6/lib -o mupmate Config.C Edit.C File.C Help.C Main.C Preferences.C Run.C template.C utils.C -lfltk -lfltk_images -lXext -lX11 -lXpm -lXft -lXinerama -ljpeg -lpng -lz -lm)

# Change default program to view postscript - gseaman
sed -i s/\"gv\"/\"xdg-open\"/ mupmate/Preferences.C

%make

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 mup/mup $RPM_BUILD_ROOT%{_bindir}
install -m 755 mupdisp/mupdisp $RPM_BUILD_ROOT%{_bindir}
install -m 755 mkmupfnt/mkmupfnt $RPM_BUILD_ROOT%{_bindir}
install -m 755 mupprnt $RPM_BUILD_ROOT%{_bindir}
install -m 755 mupmate/mupmate $RPM_BUILD_ROOT%{_bindir}

mkdir -p $RPM_BUILD_ROOT%{_docdir}/mup
install -m 644 docs/license.txt $RPM_BUILD_ROOT%{_docdir}/mup
install -m 644 docs/README0 $RPM_BUILD_ROOT%{_docdir}/mup
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 docs/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

mkdir -p $RPM_BUILD_ROOT%{_docdir}/mup
install -m 644 docs/*.ps docs/*.mup docs/*.txt docs/*.html $RPM_BUILD_ROOT%{_docdir}/mup

mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}/uguide
install -m 644 docs/uguide/*.html docs/uguide/*.gif $RPM_BUILD_ROOT%{_docdir}/%{name}/uguide

mkdir -p $RPM_BUILD_ROOT%{_libdir}/mup
install -m 644 lib/* $RPM_BUILD_ROOT%{_libdir}/mup

convert mupmate/mup48.xpm mup.png
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
install -m 644 mup.png $RPM_BUILD_ROOT%{_iconsdir}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
GenericName=Mup Music Editor
Comment=Mup Music Editor
Name=Mup
Exec=%{name}mate %%F
Icon=%{name}
Type=Application
Terminal=false
X-KDE-StartupNotify=true
InitialPreference=8
MimeType=text/x-%{name};
Categories=AudioVideo;Music;X-MandrivaLinux-Multimedia-Sound;Education;
EOF

#new style mime-type
mkdir -p %{buildroot}%{_datadir}/mime/packages
cat > %{buildroot}%{_datadir}/mime/packages/%{name}.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
  <mime-type type="text/x-%{name}">
         <comment>Mup music notation file</comment>
         <glob pattern="*.mup" />
         <sub-class-of type="text/plain" />
  </mime-type>
</mime-info>
EOF

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_docdir}/%{name}/README0
%{_docdir}/%{name}/*.txt
%{_docdir}/%{name}/*.html
%{_docdir}/%{name}/*.ps
%{_docdir}/%{name}/*.mup
%{_docdir}/%{name}/uguide/*
%{_bindir}/%{name}
%{_bindir}/%{name}disp
%{_bindir}/%{name}prnt
%{_bindir}/%{name}mate
%{_bindir}/mk%{name}fnt
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/%{name}.png
%{_mandir}/man1/*
%{_libdir}/%{name}/*


%changelog
* Fri Apr 08 2016 bb <bb> 6.2-2pclos2016
- rebuild for updates

* Sun Dec 29 2013 gseaman <galen.seaman at comcast.net> 6.2-1gseaman2013
- 6.2-1

* Tue Jan 08 2012 gseaman <galen.seaman at comcast.net> 6.1-1gseaman2012
- build for PCLinuxOS based on Arkkra Enterprises spec file
